Skip to main content
GET
/
report
/
telephonyLine
/
{lineId}
Get telephony line details
curl --request GET \
  --url https://demo.enneo.ai/api/mind/report/telephonyLine/{lineId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": 11,
    "name": "ACD Bot-to-Agent",
    "status": "active",
    "liveOverview": {
      "inQueue": 3,
      "ongoingAiCalls": 4,
      "agentsConnected": 3
    },
    "phoneNumbers": {
      "inbound": [
        {
          "id": "0dfe1e36-8145-4940-b41b-f4156447d2be",
          "number": "+4930754358631"
        }
      ],
      "outbound": {
        "id": "0dfe1e36-8145-4940-b41b-f4156447d2be",
        "number": "+4930754358631"
      }
    }
  },
  "description": "Detailed information about a specific telephony line including voicebot configuration and connected phone numbers.",
  "filters": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.enneo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT-based authentication

Path Parameters

lineId
integer
required

The ID of the telephony line (subchannel)

Response

Successful operation

data
object
description
string

Description of what this report shows

Example:

"Detailed information about a specific telephony line including voicebot configuration and connected phone numbers."

filters
object

Filters applied to this report